---
- op: replace
  path: /spec/template/spec/containers/0/args
  value:
    - --aws-api-retries=3
    - --domain-filter=jamkazam.com
    - --interval=1m
    - --log-format=text
    - --log-level=warning
    - --no-aws-evaluate-target-health
    - --policy=sync
    - --provider=aws
    - --registry=txt
    - --source=ingress
    - --txt-prefix=production_ # Random string for hardener TXT entries
- op: replace
  path: /spec/template/spec/containers/0/env
  value:
    - name: AWS_ACCESS_KEY_ID
      valueFrom:
        secretKeyRef:
          name: aws-user-external-dns
          key: username
    - name: AWS_SECRET_ACCESS_KEY
      valueFrom:
        secretKeyRef:
          name: aws-user-external-dns
          key: password